set_palette(3)

NAME
set_palette - Sets the entire palette of 256 colors. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void set_palette(const PALETTE p);

DESCRIPTION
Sets the entire palette of 256 colors. You should provide an array of 256 RGB structures. Unlike set_color(), there is no need to call vsync() before this function. Example:
   BITMAP *bmp;
   PALETTE palette;
   ...
   bmp = load_bitmap(filename, palette);
   if (!bmp)
      abort_on_error("Couldn't load bitmap!");
   set_palette(palette);

SEE ALSO
set_gfx_mode(3), set_palette_range(3), set_color(3), get_palette(3), select_palette(3), palette_color(3)